package bou.amine.apps.readerforselfossv2.DI

import bou.amine.apps.readerforselfossv2.rest.SelfossApi
import bou.amine.apps.readerforselfossv2.service.ApiDetailsService
import org.kodein.di.DI
import org.kodein.di.bind
import org.kodein.di.instance
import org.kodein.di.singleton

val networkModule by DI.Module {
    bind<ApiDetailsService>() with singleton { ApiDetailsService() }
    bind<SelfossApi>() with singleton { SelfossApi(instance()) }
}